// Learn cc.Class:
//  - https://docs.cocos.com/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

let App = require("App");

cc.Class({
    extends: cc.Component,

    properties: {
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {
        cc.resources.load("UIAtlas", cc.Prefab, (error, prefab)=>{ 
            if(error){
                cc.error(error);
                return;
            }

            let node = cc.instantiate(prefab);
            App.UIAtlas = node.getComponent("UIAtlas");
            cc.game.addPersistRootNode(node);
            cc.director.loadScene("test");
        })
    },

    // update (dt) {},
});
